<div class="main-content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-md-12">
        <div class="card">
          <div class="header">
            <h4 class="title">Liste Pesage</h4>
          </div>

          <div class="content table-responsive table-full-width">

            <div class="col-md-4">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <mat-form-field class="search-form-field" floatLabel="never">
                    <mat-label>Matricule</mat-label>
                    <input matInput [(ngModel)]="matricule">
                    <button *ngIf="matricule" mat-button matSuffix mat-icon-button aria-label="Clear"
                      (click)="matricule=''">
                      <mat-icon>close</mat-icon>
                    </button>
                  </mat-form-field>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <mat-form-field>
                    <mat-label>date debut</mat-label>
                    <input matInput [matDatepicker]="datedebut" [(ngModel)]="dateDebut">
                    <mat-datepicker-toggle matSuffix [for]="datedebut"></mat-datepicker-toggle>
                    <mat-datepicker #datedebut></mat-datepicker>
                  </mat-form-field>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <mat-form-field>
                    <mat-label>Date Fin</mat-label>
                    <input matInput [matDatepicker]="datefin" [(ngModel)]="dateFin">
                    <mat-datepicker-toggle matSuffix [for]="datefin"></mat-datepicker-toggle>
                    <mat-datepicker #datefin></mat-datepicker>
                  </mat-form-field>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <mat-form-field class="search-form-field" floatLabel="never">
                    <mat-label>Prix</mat-label>
                    <input type="number" matInput [(ngModel)]="Prix">
                    <button *ngIf="Prix" mat-button matSuffix mat-icon-button aria-label="Clear" (click)="Prix=''">
                      <mat-icon>close</mat-icon>
                    </button>
                  </mat-form-field>
                </div>
              </div>
            </div>

            <div class="col-md-1">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <button class="btn btn-danger mr-3" (click)="search()">
                    <i class="glyphicon glyphicon-search" aria-hidden="true"></i>
                  </button>
                </div>
              </div>
            </div>

            <div class="col-md-1">
              <div class="form-group">
                <div class="example-form" class="centree">
                  <button type="button" class="btn btn-primary" (click)="CalculePrixTotal()">
                    <i class="fa fa-calculator" aria-hidden="true"></i>
                  </button>
                </div>
              </div>
            </div>

            <div class="col-md-1">
              <div class="form-group">
                <div class="example-form" class="centree">

                  <button class="btn btn-success" (click)="CalculePrixTotal()">
                    <i class="fa fa-file-excel-o" aria-hidden="true"></i>
                  </button>
                </div>
              </div>
            </div>
            
            <div class="center">
              <table mat-table [dataSource]="dataSource" style="width: 100%;" class="mat-elevation-z8" matSort>

                <ng-container matColumnDef="Personne">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Personne</th>
                  <td mat-cell *matCellDef="let element"> {{element.personne}} </td>
                </ng-container>


                <!-- <ng-container matColumnDef="Nom">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Nom </th>
                <td mat-cell *matCellDef="let element"> {{element.nom}} </td>
              </ng-container> -->


                <ng-container matColumnDef="matricule">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Matricule </th>
                  <td mat-cell *matCellDef="let element"> {{element.matricule}} </td>
                </ng-container>


                <ng-container matColumnDef="totalpesages">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Total Pesages </th>
                  <td mat-cell *matCellDef="let element"> {{element.total}} </td>
                </ng-container>


                <ng-container matColumnDef="PrixTotale">
                  <th mat-header-cell *matHeaderCellDef mat-sort-header> Prix Total </th>
                  <td mat-cell *matCellDef="let element"> {{element.prixTotal}}</td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

                <ng-container matColumnDef="loading">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    loading data...
                  </mat-footer-cell>
                </ng-container>

                <ng-container matColumnDef="nodata">
                  <mat-footer-cell *matFooterCellDef colspan="6">
                    No data!!
                  </mat-footer-cell>
                </ng-container>

                <mat-footer-row *matFooterRowDef="['loading']" [ngClass]="{'hide':dataSource!=null}">
                </mat-footer-row>

                <mat-footer-row *matFooterRowDef="['nodata']"
                  [ngClass]="{'hide':!(dataSource!=null && dataSource.data.length==0)}">
                </mat-footer-row>

              </table>

              <mat-paginator [pageSize]="10" showFirstLastButtons [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>

            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>